issue on pos_all_in_one (#107)
Status: OPEN
Date: 20/04/2021
ID: 107
S/O number: SO2021/1334678
Reviewer: Jack Paco
Module Name: pos_all_in_one
Version: 14.0
Tags:

Assigned to
Contact
Raghav Brahmbhatt
raghav.brahmbhatt@browseinfo.in
Reported by
Contact
pramod.sharma@prolitus.com
pramod.sharma@prolitus.com

Description
1)We are facing issue while creating invoice from sale order. Please check error below.



bi_internal_wallet/models/website.py", line 52, in <lambda>
invoices = order.order_line.invoice_lines.move_id.filtered(lambda r: r.type in ('out_invoice', 'out_refund'))
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/pramod/ws/prolitus/odoo14/odoo/odoo/http.py", line 639, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/home/pramod/ws/prolitus/odoo14/odoo/odoo/http.py", line 315, in _handle_exception
raise exception.with_traceback(None) from new_cause
AttributeError: 'account.move' object has no attribute 'type'


2) There is no check limit on wallet balance, While creating POS order and selecting payment mode as wallet.

3) No option found in POS to add add wallet amount from POS manually.

Message and communication history